﻿using System;
using System.Diagnostics;
using System.IO;

namespace HelloWorldSVRest
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                SmartVault smartVault = new SmartVault();
                Authenticate(smartVault);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }

            Console.WriteLine("\nPress any key to exit");
            Console.ReadKey();
        }

        private static void Authenticate(SmartVault smartVault)
        {
            // Pin-based authentication with manual pin entry
            Console.Write("Enter your email address: ");
            string email = Console.ReadLine();

            Console.Write("Do you have a pin? [y/n]: ");
            string response = Console.ReadLine();

            if (!response.ToLower().StartsWith("y"))
            {
                string url = smartVault.RequestPin(email);
                Process.Start(url);
            }

            Console.Write("Enter your pin: ");
            string pin = Console.ReadLine();

            smartVault.Authenticate(email, pin);
        }
    }
}
